#include <luna.h>
#include <stdlib.h>
#include <string.h>
#include <sys/syscall.h>
#include <unistd.h>

static void print(const char* message)
{
    syscall(SYS_write, message, strlen(message));
}

#define println(message) print(message "\n")

int main()
{
    if (gettid() == 0) // why are we the idle task?
    {
        __luna_abort("SHENANIGANS! init is tid 0 (which is reserved for the idle task)\n");
    }

    println("Welcome to Luna from a C init!");
    println("");

    sleep(1);

    print("Your kernel version is ");

    char version[40];
    syscall(SYS_getversion, version, sizeof(version));

    print(version);
    println("\n");

    sleep(2);

    println("Press any key to restart.");

    return 0;
}
